import { QueryKey, QueryKeyHash } from '@cubejs-backend/base-driver';
export interface RedisParsedResult {
    ssl: boolean;
    password?: string;
    username?: string;
    host?: string;
    port?: number;
    /**
     * Local domain socket path. If set the port, host and family will be ignored.
     */
    path?: string;
    sentinels?: {
        host: string;
        port: number;
    }[];
    db?: number;
    name?: string;
}
export declare function parseRedisUrl(url: Readonly<string>): RedisParsedResult;
/**
 * Unique process ID regexp.
 */
export declare const processUidRE: RegExp;
/**
 * Returns query hash by specified `queryKey`.
 */
export declare function getCacheHash(queryKey: QueryKey, processUid?: string): QueryKeyHash;
//# sourceMappingURL=utils.d.ts.map